> ## Documentation Index
> Fetch the complete documentation index at: https://data.ornn.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported GPU models

## Overview

The full catalog of GPU models Ornn tracks, across both the free and paid tiers. Pair this with `/api/gpu-types-free` to render the free-vs-paid split.


## OpenAPI

````yaml openapi.yaml GET /api/gpu-types
openapi: 3.1.0
info:
  title: Ornn Data API
  version: 1.0.0
  description: >
    Read-only REST API for GPU and memory market data. The price index is the
    going rate of compute in USD per GPU-hour, a weighted average of all
    verified compute transactions across the market.
servers:
  - url: https://api.ornnai.com
security:
  - bearerAuth: []
tags:
  - name: Current Prices
  - name: Historical Prices
  - name: Analytics
  - name: Memory
  - name: Token Prices
  - name: Workload Cost
  - name: LLM Coding
  - name: Neo-Cloud Sites
  - name: Reference
paths:
  /api/gpu-types:
    get:
      tags:
        - Reference
      summary: List supported GPU models
      responses:
        '200':
          description: Supported GPUs.
          content:
            application/json:
              example:
                success: true
                data:
                  - gpu_name: A100 SXM4
                    region: ''
                  - gpu_name: B200
                    region: ''
                  - gpu_name: H100 SXM
                    region: ''
                  - gpu_name: H200
                    region: ''
                  - gpu_name: RTX 5090
                    region: ''
                  - gpu_name: RTX PRO 6000 WS
                    region: ''
        '401':
          $ref: '#/components/responses/Unauthorized'
      security: []
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |
            curl "https://api.ornnai.com/api/gpu-types" \
              -H "Authorization: Bearer YOUR_API_KEY"
        - lang: python
          label: Python
          source: |
            import requests

            resp = requests.get(
                "https://api.ornnai.com/api/gpu-types",
                headers={"Authorization": "Bearer YOUR_API_KEY"},
            )
            data = resp.json()
        - lang: javascript
          label: JavaScript
          source: |
            const res = await fetch("https://api.ornnai.com/api/gpu-types", {
              headers: { Authorization: "Bearer YOUR_API_KEY" },
            });
            const data = await res.json();
        - lang: php
          label: PHP
          source: |
            <?php
            $ch = curl_init("https://api.ornnai.com/api/gpu-types");
            curl_setopt_array($ch, [
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_HTTPHEADER => ["Authorization: Bearer YOUR_API_KEY"],
            ]);
            $data = json_decode(curl_exec($ch), true);
        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"io\"\n\t\"net/http\"\n)\n\nfunc main() {\n\treq, _ := http.NewRequest(\"GET\", \"https://api.ornnai.com/api/gpu-types\", nil)\n\treq.Header.Set(\"Authorization\", \"Bearer YOUR_API_KEY\")\n\tresp, _ := http.DefaultClient.Do(req)\n\tdefer resp.Body.Close()\n\tbody, _ := io.ReadAll(resp.Body)\n\t_ = body\n}\n"
        - lang: java
          label: Java
          source: >
            import java.net.URI;

            import java.net.http.HttpClient;

            import java.net.http.HttpRequest;

            import java.net.http.HttpResponse;


            HttpClient client = HttpClient.newHttpClient();

            HttpRequest request = HttpRequest.newBuilder(
                    URI.create("https://api.ornnai.com/api/gpu-types"))
                .header("Authorization", "Bearer YOUR_API_KEY")
                .build();
            HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());
        - lang: ruby
          label: Ruby
          source: >
            require "net/http"

            require "json"


            uri = URI("https://api.ornnai.com/api/gpu-types")

            req = Net::HTTP::Get.new(uri)

            req["Authorization"] = "Bearer YOUR_API_KEY"

            res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http|
            http.request(req) }

            data = JSON.parse(res.body)
components:
  responses:
    Unauthorized:
      description: Missing, invalid, or revoked API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Unauthorized
            message: 'API key required. Use Authorization: Bearer YOUR_API_KEY'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Bad request
        message:
          type: string
          example: >-
            Invalid GPU type. Allowed: H100 SXM, H200, A100 SXM4, RTX 5090,
            B200, RTX PRO 6000 WS
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key passed as a Bearer token. Create one in the dashboard.

````